/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include "component_based/base/frame_window.h"

namespace component_based {

FrameWindow::FrameWindow(int id, void* raw) : id_(id), raw_(raw) {
}

FrameWindow::~FrameWindow() {

}

int FrameWindow::GetResID() const {
  return id_;
}

void* FrameWindow::GetRaw() {
  return raw_;
}

}  // namespace component_based
