Name:       component-based
Summary:    Tizen Component-based application
Version:    1.0.12
Release:    1
Group:      Application Framework/Core
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001: %{name}.manifest
Source1002: %{name}-application.manifest

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: cmake
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(bundle)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(gmock)
BuildRequires: pkgconfig(ecore-wl2)
BuildRequires: pkgconfig(appcore-multiwindow)
BuildRequires: pkgconfig(capi-appfw-app-control)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(capi-appfw-app-common)

%if 0%{?gcov:1}
BuildRequires:  lcov
BuildRequires:  zip
%endif

%description
Tizen Component-based core base

%package tests
Summary:    Unit tests for Component-based core base
Requires:   %{name} = %{version}

%description tests
Unit tests for Component-based core base

%package devel
Summary:  Component-based library (Development)
Group:    Application Framework/Core
Requires: %{name} = %{version}-%{release}

%description devel
Component-based core base library (Development) package.

#################################################
# component-based-application
#################################################
%package -n %{name}-application
Summary: Library for developing the component-based application
Group: Application Framework/Core
License: Apache-2.0

%description -n %{name}-application
Provider APIs to develop the component-based application

%package -n %{name}-application-devel
Summary: Component-based application development library (dev)
Group: Development/Libraries
Requires: %{name}-application = %{version}-%{release}

%description -n %{name}-application-devel
Header & package configuration files to support development of the component-based application.

#################################################
# unittests
#################################################
%package unittests
Summary:    GTest for Component-based library
Group:      Development/Libraries
Requires:   %{name}

%description unittests
GTest for Component-based library

#################################################
# gcov
#################################################
%if 0%{?gcov:1}
%package gcov
Summary:    Component-based library (gcov)
Group:      Application Framework/Testing

%description gcov
Component-based library gcov objects
%endif

%prep
%setup -q
cp %{SOURCE1001} .
cp %{SOURCE1002} .

%build
%if 0%{?gcov:1}
export CFLAGS+=" -fprofile-arcs -ftest-coverage"
export CXXFLAGS+=" -fprofile-arcs -ftest-coverage"
export FFLAGS+=" -fprofile-arcs -ftest-coverage"
export LDFLAGS+=" -lgcov"
%endif

export CFLAGS+=" -DEFL_BETA_API_SUPPORT "
export CXXFLAGS+=" -DEFL_BETA_API_SUPPORT "

MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%__make %{?_smp_mflags}

%if 0%{?gcov:1}
mkdir -p gcov-obj
find . -name '*.gcno' -exec cp '{}' gcov-obj ';'
%endif

%check
ctest --output-on-failure %{?_smp_mflags}
%if 0%{?gcov:1}
lcov -c --ignore-errors graph --no-external -q -d . -o component-based.info
genhtml component-based.info -o component-based.out
zip -r component-based.zip component-based.out
install -m 0644 component-based.zip %{buildroot}%{_datadir}/gcov/
%endif

%install
rm -rf %{buildroot}
%make_install

%if 0%{?gcov:1}
mkdir -p %{buildroot}%{_datadir}/gcov/obj
install -m 0644 gcov-obj/* %{buildroot}%{_datadir}/gcov/obj
%endif

%preun

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post -n %{name}-application
/sbin/ldconfig

%postun -n %{name}-application
/sbin/ldconfig

%post unittests
%if 0%{?gcov:1}
%{_bindir}/component-based_unittests
%endif

%files
%manifest %{name}.manifest
%license LICENSE
%defattr(-,root,root,-)
%{_libdir}/libcomponent-based-core-base.so.*
%{_libdir}/libcomponent-based-app-control.so.*
%{_libdir}/libcomponent-based-uri.so.*

%files devel
%{_includedir}/component_based/base/*.h
%{_includedir}/component_based/base/api/*.h
%{_includedir}/component_based/app_control/*.h
%{_includedir}/component_based/uri/*.h
%{_libdir}/libcomponent-based-core-base.so
%{_libdir}/libcomponent-based-app-control.so
%{_libdir}/libcomponent-based-uri.so
%{_libdir}/pkgconfig/component-based-core-base.pc
%{_libdir}/pkgconfig/component-based-app-control.pc
%{_libdir}/pkgconfig/component-based-uri.pc

#################################################
# component-based-application
#################################################
%files -n %{name}-application
%license LICENSE
%manifest %{name}-application.manifest
%attr(0644,root,root) %{_libdir}/libcomponent-based-application.so.*

%files -n %{name}-application-devel
%{_includedir}/component_based/efl_base/*.h
%{_includedir}/component_based/efl_base/api/*.h
%{_libdir}/pkgconfig/component-based-application.pc
%{_libdir}/libcomponent-based-application.so

#################################################
# unittests
#################################################
%files unittests
%{_bindir}/component-based_unittests

#################################################
# component-based-gcov
#################################################
%if 0%{?gcov:1}
%files gcov
%{_datadir}/gcov/*
%endif
