// Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
// Use of this source code is governed by a apache 2.0 license that can be
// found in the LICENSE file.

#include "mock.h"

#include "mock_app_control.h"
#include "mock_app_common.h"
#include "mock_elementary.h"
#include "mock_appcore_multiwindow_base.h"

DEFINE_FFF_GLOBALS;

/* app_contro.h */
DEFINE_FAKE_VALUE_FUNC(int, app_control_send_launch_request_async,
                       app_control_h, app_control_result_cb,
                       app_control_reply_cb, void*);

DEFINE_FAKE_VALUE_FUNC(int, app_control_send_launch_request_sync,
                       app_control_h, app_control_h*, app_control_result_e*);

DEFINE_FAKE_VALUE_FUNC(int, app_control_add_action_handler, const char*,
                       app_control_action_cb, void*, app_control_action_h*);

/* app_common.h */
DEFINE_FAKE_VALUE_FUNC(int, app_get_id, char**);
DEFINE_FAKE_VALUE_FUNC(char*, app_get_data_path);
DEFINE_FAKE_VALUE_FUNC(int, app_get_display_state, app_display_state_e*);
DEFINE_FAKE_VALUE_FUNC(int, app_resource_manager_get, app_resource_e,
                       const char*, char**);

/* Elementary.h */
DEFINE_FAKE_VALUE_FUNC(int, elm_init, int, char**);
DEFINE_FAKE_VALUE_FUNC(int, elm_shutdown);
DEFINE_FAKE_VOID_FUNC(elm_run);
DEFINE_FAKE_VOID_FUNC(elm_exit);
DEFINE_FAKE_VALUE_FUNC(Evas_Object*, elm_win_util_standard_add, const char*,
                       const char*);
DEFINE_FAKE_VALUE_FUNC(Evas*, evas_object_evas_get, const Eo*);
DEFINE_FAKE_VALUE_FUNC(Ecore_Evas*, ecore_evas_ecore_evas_get, const Evas*);
DEFINE_FAKE_VALUE_FUNC(Ecore_Wl2_Window*, ecore_evas_wayland2_window_get,
		const Ecore_Evas*);
DEFINE_FAKE_VALUE_FUNC(int, ecore_wl2_window_id_get, Ecore_Wl2_Window*);


/* appcore_multiwindow_base.h */
DEFINE_FAKE_VALUE_FUNC(int, appcore_multiwindow_base_init,
                       appcore_multiwindow_base_ops, int, char**, void*);
DEFINE_FAKE_VALUE_FUNC(appcore_multiwindow_base_instance_h,
                       appcore_multiwindow_base_instance_run,
                       const char*, const char*, void*);
DEFINE_FAKE_VALUE_FUNC(appcore_multiwindow_base_instance_h,
                        appcore_multiwindow_base_instance_find, const char*);
DEFINE_FAKE_VALUE_FUNC(bool, appcore_multiwindow_base_instance_is_resumed,
    appcore_multiwindow_base_instance_h);
DEFINE_FAKE_VOID_FUNC(appcore_multiwindow_base_instance_exit,
    appcore_multiwindow_base_instance_h);
DEFINE_FAKE_VOID_FUNC(appcore_multiwindow_base_window_unbind,
    appcore_multiwindow_base_instance_h);
DEFINE_FAKE_VALUE_FUNC(appcore_multiwindow_base_ops,
    appcore_multiwindow_base_get_default_ops);

