/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef UNIT_TESTS_MOCK_MOCK_APPCORE_MULTIWINDOW_BASE_H_
#define UNIT_TESTS_MOCK_MOCK_APPCORE_MULTIWINDOW_BASE_H_

#include <appcore_multiwindow_base.h>

#include "mock.h"

#ifdef __cplusplus
extern "C" {
#endif

DECLARE_FAKE_VALUE_FUNC(int, appcore_multiwindow_base_init,
                        appcore_multiwindow_base_ops, int, char**, void*);
DECLARE_FAKE_VALUE_FUNC(appcore_multiwindow_base_instance_h,
                        appcore_multiwindow_base_instance_run,
                        const char*, const char*, void*);
DECLARE_FAKE_VALUE_FUNC(appcore_multiwindow_base_instance_h,
                        appcore_multiwindow_base_instance_find, const char*);
DECLARE_FAKE_VALUE_FUNC(bool, appcore_multiwindow_base_instance_is_resumed,
    appcore_multiwindow_base_instance_h);
DECLARE_FAKE_VOID_FUNC(appcore_multiwindow_base_instance_exit,
    appcore_multiwindow_base_instance_h);
DECLARE_FAKE_VOID_FUNC(appcore_multiwindow_base_window_unbind,
    appcore_multiwindow_base_instance_h);
DECLARE_FAKE_VALUE_FUNC(appcore_multiwindow_base_ops,
    appcore_multiwindow_base_get_default_ops);

#ifdef __cplusplus
}
#endif

#endif  /* UNIT_TESTS_MOCK_MOCK_APPCORE_MULTIWINDOW_BASE_H_ */
