/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef UNIT_TESTS_MOCK_MOCK_ELEMENTARY_H_
#define UNIT_TESTS_MOCK_MOCK_ELEMENTARY_H_

#include <Elementary.h>
#include <Ecore_Wl2.h>

#include "mock.h"

#ifdef __cplusplus
extern "C" {
#endif

DECLARE_FAKE_VALUE_FUNC(int, elm_init, int, char**);
DECLARE_FAKE_VALUE_FUNC(int, elm_shutdown);
DECLARE_FAKE_VOID_FUNC(elm_run);
DECLARE_FAKE_VOID_FUNC(elm_exit);
DECLARE_FAKE_VALUE_FUNC(Evas_Object*, elm_win_util_standard_add,
                        const char*, const char*);
DECLARE_FAKE_VALUE_FUNC(Evas*, evas_object_evas_get, const Eo*);
DECLARE_FAKE_VALUE_FUNC(Ecore_Evas*, ecore_evas_ecore_evas_get, const Evas*);
DECLARE_FAKE_VALUE_FUNC(Ecore_Wl2_Window*, ecore_evas_wayland2_window_get,
		const Ecore_Evas*);
DECLARE_FAKE_VALUE_FUNC(int, ecore_wl2_window_id_get, Ecore_Wl2_Window*);


#ifdef __cplusplus
}
#endif

#endif  /* UNIT_TESTS_MOCK_MOCK_ELEMENTARY_H_ */
