// Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
// Use of this source code is governed by a apache 2.0 license that can be
// found in the LICENSE file.

#include <gmock/gmock.h>
#include <gtest/gtest.h>
#include <stdlib.h>
#include <bundle_cpp.h>

#include "component_based/base/content_manager_internal.h"

#include "unit_tests/mock/mock_app_common.h"

namespace {

class ContentManagerTest : public ::testing::Test {
 protected:
  void SetUp() override {}
  void TearDown() override {}
};

char* __fake_app_get_data_path(void)
{
  char tmp_path[6] = "/tmp/";
  return strdup(tmp_path);
}

TEST_F(ContentManagerTest, ContentManagerClass) {
  app_get_data_path_fake.custom_fake = __fake_app_get_data_path;

  std::unique_ptr<component_based::internal::ContentManager> cm(
      new component_based::internal::ContentManager(std::string("inst_id")));

  auto bundle = std::unique_ptr<tizen_base::Bundle>(new tizen_base::Bundle());
  tizen_base::Bundle b;
  cm->SetContent(b);

  bundle->Add("key", "val");

  cm->SetContent(*bundle);

  tizen_base::Bundle getBundle = cm->GetContent();
  std::string val = getBundle.GetString(std::string("key"));
  EXPECT_STREQ(val.c_str(), "val");
}

}  // namespace
